org.eclipse.wst.jsdt.ui.actions

## Class OpenNewJavaProjectWizardAction

- java.lang.Object
- - Action
  - - org.eclipse.wst.jsdt.ui.actions.AbstractOpenWizardAction
    - - org.eclipse.wst.jsdt.ui.actions.OpenNewJavaProjectWizardAction

    public class OpenNewJavaProjectWizardAction
    extends AbstractOpenWizardAction

Action that opens the new JavaScript project wizard. The action initializes the wizard with the selection as configured by `#setSelection(org.eclipse.jface.viewers.IStructuredSelection)` or the selection of the active workbench window.

This class may be instantiated; it is not intended to be subclassed.

Provisional API: This class/interface is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves.

### Constructor Summary

Constructors
Constructor and Description
`OpenNewJavaProjectWizardAction()` Creates an instance of the `OpenNewJavaProjectWizardAction`.

### Method Summary

All Methods Instance Methods Concrete Methods
`protected INewWizard` `createWizard()` Creates and configures the wizard.
`protected boolean` `doCreateProjectFirstOnEmptyWorkspace(Shell shell)` Opens the new project dialog if the workspace is empty.

### Methods inherited from class org.eclipse.wst.jsdt.ui.actions.AbstractOpenWizardAction

`getCreatedElement, getSelection, getShell, run, setSelection, setShell`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### OpenNewJavaProjectWizardAction

    public OpenNewJavaProjectWizardAction()

Creates an instance of the `OpenNewJavaProjectWizardAction`.

### Method Detail

#### createWizard

    protected final INewWizard createWizard()
                                     throws CoreException

Description copied from class: `AbstractOpenWizardAction`
Creates and configures the wizard. This method should only be called once.

Specified by:
  `createWizard` in class `AbstractOpenWizardAction`
Returns:
  returns the created wizard.
Throws:
  `CoreException` - exception is thrown when the creation was not successful.

#### doCreateProjectFirstOnEmptyWorkspace

    protected boolean doCreateProjectFirstOnEmptyWorkspace(Shell shell)

Description copied from class: `AbstractOpenWizardAction`
Opens the new project dialog if the workspace is empty. This method is called on `AbstractOpenWizardAction.run()`.

Overrides:
  `doCreateProjectFirstOnEmptyWorkspace` in class `AbstractOpenWizardAction`
Parameters:
  `shell` - the shell to use
Returns:
  returns `true` when a project has been created, or `false` when the new project has been canceled.